ProfileService
Get Username History
Retrieve recent username history entries for the caller, newest first. Returns at most 20 entries.
Method
GET
Path
/v1/auth/profile/username-history
Visibility
Authentication
Session token
MFA Requirement
Not required
GET
/v1/auth/profile/username-history Request
Testnet
curl --request GET \ \ --url 'https://api.testnet.polyester.com/v1/auth/profile/username-history' \ --header 'Accept: */*' \ --header 'X-API-KEY-ID: YOUR_API_KEY_ID' \ --header 'X-API-TIMESTAMP: YOUR_API_TIMESTAMP' \ --header 'X-API-SIGNATURE: YOUR_API_SIGNATURE'
Responses
{
"history": [
{
"setAt": "2025-01-01T00:00:00Z",
"username": "trader_alpha"
}
]
} 2 fields
username string
Username value that was set.
Example
trader_alpha setAt string (date-time)
Time in UTC when this username was set.
Example
2025-01-01T00:00:00Z| Key | Status | Error | When |
|---|---|---|---|
| unauthenticated | 401 | Unauthenticated | Authentication required. |
| permission-denied | 403 | Permission Denied | Permission denied. |
| invalid-argument | 400 | Invalid Argument | Invalid argument. |
| not-found | 404 | Not Found | Not found. |
| unavailable | 503 | Unavailable | Service unavailable. |